Skip to main content

Atrium API

List Accounts For A User

This endpoint returns a list of all the accounts associated with the specified user.

GET
/users/{user_guid}/accounts/{account_guid}

Request sample

Language:shell

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/accounts' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_50
{
_50
"accounts": [
_50
{
_50
"account_number": null,
_50
"apr": null,
_50
"apy": 1.43,
_50
"available_balance": 1000.23,
_50
"available_credit": 100.23,
_50
"balance": 1000.23,
_50
"cash_balance": 1000.32,
_50
"cash_surrender_value": 1000.23,
_50
"created_at": "2016-10-13T17:57:37+00:00",
_50
"credit_limit": 100.23,
_50
"currency_code": "USD",
_50
"day_payment_is_due": 20,
_50
"death_benefit": 1000.12,
_50
"guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
_50
"holdings_value": 1000.21,
_50
"insured_name": null,
_50
"institution_code": "mxbank",
_50
"interest_rate": null,
_50
"is_closed": false,
_50
"last_payment": null,
_50
"last_payment_at": null,
_50
"loan_amount": null,
_50
"matures_on": null,
_50
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_50
"minimum_balance": null,
_50
"minimum_payment": null,
_50
"name": "Test Account 2",
_50
"original_balance": null,
_50
"payment_due_at": null,
_50
"payoff_balance": null,
_50
"pay_out_amount": null,
_50
"premium_amount": null,
_50
"started_on": null,
_50
"subtype": null,
_50
"total_account_value": null,
_50
"type": "SAVINGS",
_50
"updated_at": "2016-10-13T18:08:00+00:00",
_50
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_50
}
_50
],
_50
"pagination": {
_50
"current_page": 1,
_50
"per_page": 25,
_50
"total_entries": 1,
_50
"total_pages": 1
_50
}
_50
}